/*
 * (C) Copyright 2002,2003 Mihai RUSU (dizzy@roedu.net)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __RELAY_H__
#define __RELAY_H__

#define RELAY_SOCKET_PATH "/tmp/relayd.sock"

typedef int (*relayd_cb_stats)(const char *, time_t *);

extern int relayd_open(void);
extern void relayd_close(void);
extern int relayd_check_user(const char *);
extern int relayd_check_ip(const char *);
extern int relayd_query_ip(const char *, relayd_cb_stats);
extern void relayd_ack(const char *username, const char *ip);
extern void relayd_commit(void);

#endif /* __RELAY_H__ */
